<?php
/**
 * @file
 * Provide stream source ID argument handler.
 */

/**
 * Argument handler to filter by source ID.
 */
class fbapp_viewsfql_handler_argument_stream_source_id extends views_handler_argument {

  function query() {
    $user_info = fbapp_user_fb_data($this->argument, TRUE);
    $this->ensure_my_table();
    $this->query->set_access_token($user_info['access_token']);
    $this->query->add_where(0, 'source_id = %d', array($user_info['fbu']));
  }
}

