<?php

/**
 * @file
 * Template for posts in stream views.
 *
 * @todo
 * Create a function to process time display;
 */
//dpm($row);
?>
<div <?php if (isset($row->post_id)) : ?>id="fbapp-post-<?php echo $row->post_id; ?>"<?php endif; ?> class="fbapp-post <?php echo $zebra; ?>">
  <?php if (isset($row->actor_id)) : ?>
    <div class="fbapp-post-actor-picture"><img src="https://graph.facebook.com/<?php echo $row->actor_id; ?>/picture" /></div>
  <?php endif; ?>

  <div class="fbapp-post-content">
    <?php if (isset($row->actor_id)) : ?>
      <div class="fbapp-post-actor-name"><?php echo $row->actor['name']; ?></div>
    <?php endif; ?>

    <?php if (isset($row->message)) : ?>
      <div class="fbapp-post-message"><?php echo $row->message; ?></div>
    <?php endif; ?>

    <?php if (isset($row->attachment)) : ?>
      <div class="fbapp-post-attachment">

        <?php if (isset($row->attachment->media[0]->src)) : ?>
          <div class="fbapp-post-attachment-media-src">
            <?php if (isset($row->attachment->href)) : ?>
              <a href="<?php echo $row->attachment->href; ?>">
            <?php endif; ?>
            <img src="<?php echo $row->attachment->media[0]->src; ?>" />
            <?php if (isset($row->attachment->href)) : ?>
              </a>
            <?php endif; ?>
          </div>
        <?php endif; ?>

        <div class="fbapp-post-attachment-content">
          <?php if (isset($row->attachment->name)) : ?>
            <div class="fbapp-post-attachment-name">
              <?php if (isset($row->attachment->href)) : ?>
                <a href="<?php echo $row->attachment->href; ?>">
              <?php endif; ?>
              <?php echo $row->attachment->name; ?>
              <?php if (isset($row->attachment->href)) : ?>
                </a>
              <?php endif; ?>
            </div>
          <?php endif; ?>

          <?php if (isset($row->attachment->caption)) : ?>
            <div class="fbapp-post-attachment-caption">
              <?php echo $row->attachment->caption; ?>
            </div>
          <?php endif; ?>

          <?php if (isset($row->attachment->description)) : ?>
            <div class="fbapp-post-attachment-description">
              <?php echo $row->attachment->description; ?>
            </div>
          <?php endif; ?>
        </div>

        <div style="clear:both;"></div>

        <div class="fbapp-post-info">
          <?php if (isset($row->attachment->icon)) : ?>
            <div class="fbapp-post-attachment-icon">
              <img src="<?php echo $row->attachment->icon; ?>" />
            </div>
          <?php endif; ?>
          <?php if (isset($row->updated_time)) : ?>
            <div class="fbapp-post-updated-time"><?php $difference = time() - $row->updated_time; echo format_interval($difference, 1) . " ago"; ?></div>
          <?php endif; ?>
        </div>

        <?php if (isset($row->likes) && $row->likes->count > 0 ) : ?>
          <div class="fbapp-post-likes">
            <div class="fbapp-post-likes-count"><?php echo $row->likes->count; ?> people like this</div>
          </div>
        <?php endif; ?>

        <?php if (isset($row->comments)) : ?>
          <div class="fbapp-post-comments">
            <?php foreach ($row->comments->comment_list as $item): ?>
              <?php $actor = $view->query->get_actor_data($item->fromid); ?>
              <div class="fbapp-post-comment">
                <div class="fbapp-post-comment-picture"><img src="https://graph.facebook.com/<?php echo $item->fromid; ?>/picture?small" /></div>
                <span class="fbapp-post-comment-name"><?php echo $actor->data['name']; ?></span>
                <span class="fbapp-post-comment-text"><?php echo $item->text; ?></span>
                <div class="fbapp-post-comment-time"><?php $difference = time() - $item->time; echo format_interval($difference, 1) . " ago"; ?></div>
              </div>
            <?php endforeach; ?>
          </div>
        <?php endif; ?>

        <div style="clear:both;"></div>
      </div>
    <?php endif; ?>
  </div>
</div>

